﻿namespace Hotline.Share.Dtos.DataSharing.Province
{
    public class ProvinceResponse
    {
        public BaseProvinceResponse ReturnInfo { get; set; }
    }

    /// <summary>
    /// 省接口返回
    /// </summary>
    public class BaseProvinceResponse
    {
        public string Code { get; set; }

        public string Description { get; set; }

        public ErrorObjs custom { get; set; }
    }

    public class ErrorObjs
    {
        public List<ErrorInfo> errorObjs { get; set; }
    }

    public class ErrorInfo
    {
        /// <summary>
        /// 服务工单编号
        /// </summary>
        public string caseserial { get; set; }

        public string resturl { get; set; }

        /// <summary>
        /// 过程唯一值
        /// </summary>
        public string caseid { get; set; }
    }

    public class Reponse
    {
        public int Code { get; set; }

        public string Description { get; set; }

        public static Reponse Success(string? description = "")
        {
            return new Reponse
            {
                Code = 1,
                Description = (description ?? "您已成功提交数据！")
            };
        }

        public static Reponse Failed(string? description = "")
        {
            return new Reponse
            {
                Description = (description ?? "接口调用失败！")
            };
        }
    }
}
